Read an Insights report definition and defaults
curl --request GET \
--url https://api.replo.app/v1/insights-reports/{reportId} \
--header 'Authorization: Bearer <token>' \
--header 'Replo-Api-Version: <replo-api-version>'import requests
url = "https://api.replo.app/v1/insights-reports/{reportId}"
headers = {
"Replo-Api-Version": "<replo-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Replo-Api-Version': '<replo-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.replo.app/v1/insights-reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replo.app/v1/insights-reports/{reportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Replo-Api-Version: <replo-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.replo.app/v1/insights-reports/{reportId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Replo-Api-Version", "<replo-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.replo.app/v1/insights-reports/{reportId}")
.header("Replo-Api-Version", "<replo-api-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replo.app/v1/insights-reports/{reportId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Replo-Api-Version"] = '<replo-api-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"title": "<string>",
"url": "<string>",
"updatedAt": "<string>",
"role": "<string>",
"valid": true,
"document": {},
"queries": {},
"defaultScope": {
"dateRange": {
"presetId": "last_7_days",
"since": "<string>",
"until": "<string>",
"comparison": "previous_period"
},
"breakdown": {
"fieldKey": "<string>",
"limit": 123
},
"filters": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}InsightsReports
Read an Insights report definition and defaults
GET
/
insights-reports
/
{reportId}
Read an Insights report definition and defaults
curl --request GET \
--url https://api.replo.app/v1/insights-reports/{reportId} \
--header 'Authorization: Bearer <token>' \
--header 'Replo-Api-Version: <replo-api-version>'import requests
url = "https://api.replo.app/v1/insights-reports/{reportId}"
headers = {
"Replo-Api-Version": "<replo-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Replo-Api-Version': '<replo-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.replo.app/v1/insights-reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replo.app/v1/insights-reports/{reportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Replo-Api-Version: <replo-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.replo.app/v1/insights-reports/{reportId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Replo-Api-Version", "<replo-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.replo.app/v1/insights-reports/{reportId}")
.header("Replo-Api-Version", "<replo-api-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replo.app/v1/insights-reports/{reportId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Replo-Api-Version"] = '<replo-api-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"title": "<string>",
"url": "<string>",
"updatedAt": "<string>",
"role": "<string>",
"valid": true,
"document": {},
"queries": {},
"defaultScope": {
"dateRange": {
"presetId": "last_7_days",
"since": "<string>",
"until": "<string>",
"comparison": "previous_period"
},
"breakdown": {
"fieldKey": "<string>",
"limit": 123
},
"filters": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The public API version to use for this request.
Available options:
2026-10-05 Path Parameters
Report file ID from list_insights_reports, or the final UUID in its Insights URL.
Query Parameters
Response
Read an Insights report definition and defaults
The validated v2 Insights document, including body, named queries, formulas, and scope defaults.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes